Part Box/en: Difference between revisions

From FreeCAD Documentation
(Importing a new version from external source)
(Updating to match new version of source page)
(27 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Part Box|MenuLocation=Part -> Box||Workbenches=[[Part_Module|Part]], Complete|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}
{{Docnav||[[Part_Cone|Cone]]|[[Part_Module|Part]]|IconL=|IconC=Workbench_Part.svg|IconR=Part_Cone.png}}


{{GuiCommand|Name=Part Box|MenuLocation=Part Primitives → Cube||Workbenches=[[Part Module|Part]]|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}
== Description ==
A parametric [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid Rectangular cuboid] primitive is available in the Part workbench from the Part tool bar, Part menu (primitives sub-menu) and the Create Primitives dialogue. Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".


== Parameters ==
==Description==
The Box command from the [[Part_Workbench|Part Workbench]] inserts a parametric, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.
The parametric rectangular cuboid is defined by the parameters
*length,
*width,
*height,
*as well as the standard set of Placement Parameters.


[[Image:Part_Box.jpg|400px|Part_Box]]
The default is a cube with parameter values for height, length and width being 10mm. The default placement values will locate the cuboid's local origin at the global origin (the location where all axis are 0) and the orientation such that


==How to Use==
* Click the cube icon {{KEY|[[Image:Part Box.png|30px]]}} from the Part Workbench.
* Alternatively, you can select {{MenuCommand|Part → Primitives → Cube}} from the menu bar.


==Options==
*The length is the distance in the x-axis.
* Via the [[Property_editor | Property Editor]]:
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
** '''Width:''' Set the width distance for your Box object (default is 10 mm).
** '''Height:''' Set the height distance for your Box object (default is 10 mm).
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.


==Properties==
The width is the distance in the y-axis.
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.


{{Properties_Title|Box}}
The height is the distance in the z-axis.
*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
*{{PropertyData|Width}}: The width parameter is the Box's dimension in the y-direction.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.


[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]


==Scripting==
[[File:box.png|650px|a box created with the Box tool]]
The Box command can by used in [[macros]] and from the python console using the following function:
{{Code|code=
FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
}}
* Where "myBox" is the label for the Box object.
* Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.
{{Code|code=
FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30
}}

You can change its placement with:
{{Code|code=
FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))
}}


==FreeCAD - Version==
==FreeCAD - Version==



*{{Version|0.14}}
*{{Version|0.14}}
Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".


{{Docnav||[[Part_Cone|Cone]]|[[Part_Module|Part]]|IconL=|IconC=Workbench_Part.svg|IconR=Part_Cone.png}}
Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".


{{Part Tools navi}}


{{clear}}
{{Userdocnavi}}
<languages/>

Revision as of 14:09, 13 February 2019

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part CreatePrimitives

Description

The Box command from the Part Workbench inserts a parametric, rectangular cuboid, geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.

Part_Box

How to Use

  • Click the cube icon from the Part Workbench.
  • Alternatively, you can select Part → Primitives → Cube from the menu bar.

Options

  • Via the Property Editor:
    • Length: Set the length distance for your Box object (default is 10 mm).
    • Width: Set the width distance for your Box object (default is 10 mm).
    • Height: Set the height distance for your Box object (default is 10 mm).
    • Placement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
    • Label: The Label is the name given to the operation. This name can be changed at your convenience.

Properties

Base

  • DataPlacement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
  • DataLabel: Label given to the Box object. Change to suit your needs.

Box

  • DataLength: The length parameter is the Box's dimension in the x-direction.
  • DataWidth: The width parameter is the Box's dimension in the y-direction.
  • DataHeight: The height parameter is the Box's dimension in the z-direction.

Part_Box-Properties

Scripting

The Box command can by used in macros and from the python console using the following function:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the label for the Box object.
  • Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

You can change its placement with:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

FreeCAD - Version

Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".